%global eclipse_base        %{_libdir}/eclipse
%global install_loc         %{_datadir}/eclipse/dropins
# Taken from update site so we match upstream
#  http://download.eclipse.org/mylyn/archive/3.6.4/v20110608-1400/
%global qualifier           v20120319-0200

Name: eclipse-mylyn-builds
Summary: Eclipse Mylyn Builds
Version: 3.7.0
Release: 2%{?dist}
License: EPL
URL: http://www.eclipse.org/mylyn/builds/

Source0: http://git.eclipse.org/c/mylyn/org.eclipse.mylyn.builds.git/snapshot/R_3_7_0.tar.bz2

# This patches hudson.core so as to
# - remove ecf-based auto-discovery
Patch0: remove_hudson_discovery.patch
# This patches hudson.core so as to
# - use java 6 exec environment
# See Eclipse Bz: 325176.
Patch1: fix_hudson.core_plugin_java_6.patch
# Need to build google-gson feature so that we
# can symlink to system libraries
Patch2: fix_hudson_feature.patch

BuildArch: noarch

BuildRequires: java-devel >= 1.6.0
BuildRequires: eclipse-platform >= 1:4.2.0
BuildRequires: eclipse-pde >= 1:4.2.0-0.6
BuildRequires: eclipse-mylyn-commons >= 3.7.0-9
BuildRequires: eclipse-mylyn >= 3.7.0
BuildRequires: eclipse-mylyn-context-team >= 3.7.0
BuildRequires: eclipse-mylyn-versions >= 3.7.0
BuildRequires: eclipse-emf
# Required for RestfulHudsonClient.java. However, this will only
# work with java 1.6 and up, but that's better than not working at all.
BuildRequires: ws-jaxme >= 0.5
# The following is required for javax.xml.stream (apparently openjdk ships it too)
# not sure what's best here.
BuildRequires: xml-commons-apis
BuildRequires: google-gson >= 1.6.0
Requires: eclipse-mylyn >= 3.7.0
Requires: eclipse-mylyn-commons >= 3.7.0-9
Requires: eclipse-mylyn-context >= 3.7.0
Requires: eclipse-emf
Requires: eclipse-mylyn-versions >= 3.7.0
Requires: xml-commons-apis


%description
Provides a common framework to interact with continuous integration
build providers using Eclipse Mylyn.


# eclipse-mylyn-builds-hudson

%package hudson
Summary: Mylyn Builds Connector: Hudson/Jenkins
Requires: java >= 1:1.7.0
Requires: eclipse-platform >= 1:4.2.0-0.6
Requires: eclipse-mylyn-commons >= 3.7.0-9
Requires: ws-jaxme >= 0.5
Requires: google-gson >= 1.6.0
Requires: %{name} = %{version}-%{release}
Group: Development/Tools

%description hudson
Support for the open source Hudson and Jenkins continuous integration servers.


%prep
%setup -q -n R_3_7_0
%patch0
%patch1
%patch2
rm -rf orbitDeps
mkdir orbitDeps
pushd orbitDeps
ln -s %{_javadir}/google-gson.jar
popd


%build
eclipse-pdebuild -f org.eclipse.mylyn.builds \
 -a "-DjavacSource=1.6 -DjavacTarget=1.6 -DforceContextQualifier=%{qualifier} -DmylynQualifier=%{qualifier}" \
 -d "mylyn mylyn-commons mylyn-context-team mylyn-context emf mylyn-versions" -o `pwd`/orbitDeps
eclipse-pdebuild -f org.eclipse.mylyn.hudson \
 -a "-DjavacSource=1.6 -DjavacTarget=1.6 -DforceContextQualifier=%{qualifier} -DmylynQualifier=%{qualifier}" \
 -d "mylyn-commons" -o `pwd`/orbitDeps


%install
install -d -m 755 %{buildroot}%{_datadir}/eclipse
install -d -m 755 %{buildroot}%{install_loc}/mylyn-builds
install -d -m 755 %{buildroot}%{install_loc}/mylyn-builds-hudson

unzip -q -o -d %{buildroot}%{install_loc}/mylyn-builds \
 build/rpmBuild/org.eclipse.mylyn.builds.zip
unzip -q -o -d %{buildroot}%{install_loc}/mylyn-builds-hudson \
 build/rpmBuild/org.eclipse.mylyn.hudson.zip

pushd %{buildroot}%{install_loc}/mylyn-builds-hudson/eclipse/plugins
rm com.google.gson*.jar
ln -s %{_javadir}/google-gson.jar
popd

# eclipse-mylyn-builds

%files
%{install_loc}/mylyn-builds
%doc org.eclipse.mylyn.builds-feature/epl-v10.html
%doc org.eclipse.mylyn.builds-feature/license.html


# eclipse-mylyn-builds-hudson

%files hudson
%{install_loc}/mylyn-builds-hudson
%doc org.eclipse.mylyn.hudson-feature/epl-v10.html
%doc org.eclipse.mylyn.hudson-feature/license.html


%changelog
* Fri Apr 13 2012 Krzysztof Daniel <kdaniel@redhat.com> 3.7.0-2
- Move to Eclipse 4.2.
- Fix Hudson connector.

* Tue Mar 27 2012 Krzysztof Daniel <kdaniel@redhat.com> 3.7.0-1
- Update to upstream 3.7.0. release.

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.6.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Nov 28 2011 Andrew Robinson <arobinso@redhat.com> 3.6.4-1
- Update to upstream 3.6.4 release.

* Mon Oct 31 2011 Andrew Robinson <arobinso@redhat.com> 3.6.3-1
- Update to upstream 3.6.3 release.

* Wed Oct 12 2011 Andrew Robinson <arobinso@redhat.com> 3.6.2-1
- Update to upstream 3.6.2 release.

* Thu Jul 14 2011 Severin Gehwolf <sgehwolf@redhat.com> 3.6.0-1
- Update to upstream's 3.6.0 release.

* Thu Apr 28 2011 Severin Gehwolf <sgehwolf@redhat.com> 3.5.1-2
- Fixed typo.

* Thu Apr 28 2011 Severin Gehwolf <sgehwolf@redhat.com> 3.5.1-1
- Package latest version (3.5.1).

* Wed Apr 27 2011 Severin Gehwolf <sgehwolf@redhat.com> 3.5.0-2
- Add patch to fix build.

* Thu Apr 21 2011 Severin Gehwolf <sgehwolf@redhat.com> 3.5.0-1
- Introducing eclipse-mylyn-builds. This is due to the Mylyn
  3.5.0 restructuring.
